WoyraDocs
Get an API key

Inspect one delivery

GET/v1/webhook_deliveries/{id}

Webhooks · Requires an API key

Parameters

NameInDescription
idrequiredpath

Example

curl https://api.woyra.io/v1/webhook_deliveries/email_01J... \
  -H "Authorization: Bearer $WOYRA_KEY"

Response

200 The delivery.

FieldTypeDescription
object"webhook_delivery"
idstring
endpoint_idstring
event_idstring
event_typestring
statusstring
One of pending, delivered, failed, exhausted.
attemptsinteger
response_statusinteger
response_bodystringTruncated.
last_errorstring
next_attempt_attimestamp
delivered_attimestamp
created_attimestamp
payloadobject

Errors

StatusCodes
404not_found, product_not_offered

Also in Webhooks